.weather__icon--clear-sky::before { background-position: 0 0 }
.weather__icon--bright::before { background-position: -360px 0 }
.weather__icon--cloudy::before { background-position: -720px 0 }
.weather__icon--mostly-cloudy::before { background-position: -1080px 0 }
.weather__icon--overcast::before { background-position: -1440px 0 }
.weather__icon--fog::before { background-position: -1800px 0 }
.weather__icon--low-clouds::before { background-position: -2160px 0 }
.weather__icon--light-rain::before { background-position: -2520px 0 }
.weather__icon--rain::before { background-position: -2880px 0 }
.weather__icon--heavy-rain::before { background-position: -3240px 0 }
.weather__icon--drizzle::before { background-position: 0 -360px }
.weather__icon--light-freezing-rain::before { background-position: -360px -360px }
.weather__icon--heavy-freezing-rain::before { background-position: -720px -360px }
.weather__icon--sunny-with-scattered-rain-showers::before { background-position: -1080px -360px }
.weather__icon--cloudy-with-scattered-rain-showers::before { background-position: -1440px -360px }
.weather__icon--overcast-with-scattered-rain-showers::before { background-position: -1800px -360px }
.weather__icon--sunny-with-heavy-rain-showers::before { background-position: -2160px -360px }
.weather__icon--cloudy-with-heavy-rain-showers::before { background-position: -2520px -360px }
.weather__icon--overcast-with-heavy-rain-showers::before { background-position: -2880px -360px }
.weather__icon--sunny-with-thunderstorms::before { background-position: -3240px -360px }
.weather__icon--cloudy-with-thunderstorms::before { background-position: 0 -720px }
.weather__icon--overcast-with-thunderstorms::before { background-position: -360px -720px }
.weather__icon--sunny-with-strong-thunderstorms::before { background-position: -720px -720px }
.weather__icon--cloudy-with-strong-thunderstorms::before { background-position: -1080px -720px }
.weather__icon--overcast-with-strong-thunderstorms::before { background-position: -1440px -720px }
.weather__icon--light-snowfall::before { background-position: -1800px -720px }
.weather__icon--snowfall::before { background-position: -2160px -720px }
.weather__icon--heavy-snowfall::before { background-position: -2520px -720px }
.weather__icon--sunny-with-light-snow-showers::before { background-position: -2880px -720px }
.weather__icon--cloudy-with-light-snow-showers::before { background-position: -3240px -720px }
.weather__icon--overcast-with-light-snow-showers::before { background-position: 0 -1080px }
.weather__icon--sunny-with-heavy-snow-showers::before { background-position: -360px -1080px }
.weather__icon--cloudy-with-heavy-snow-showers::before { background-position: -720px -1080px }
.weather__icon--overcast-with-heavy-snow-showers::before { background-position: -1080px -1080px }
.weather__icon--light-snow-or-rain::before { background-position: -1440px -1080px }
.weather__icon--snow-mixed-with-rain::before { background-position: -1800px -1080px }
.weather__icon--heavy-rain-and-snow::before { background-position: -2160px -1080px }
.weather__icon--sunny-with-light-showers-of-rain-and-snow::before { background-position: -2520px -1080px }
.weather__icon--cloudy-with-light-showers-of-rain-and-snow::before { background-position: -2880px -1080px }
.weather__icon--overcast-with-light-showers-of-rain-and-snow::before { background-position: -3240px -1080px }
.weather__icon--sunny-with-heavy-showers-of-rain-and-snow::before { background-position: 0 -1440px }
.weather__icon--cloudy-with-heavy-showers-of-rain-and-snow::before { background-position: -360px -1440px }
.weather__icon--overcast-with-heavy-showers-of-rain-and-snow::before { background-position: -720px -1440px }
.weather__icon--sandstorm-duststorm::before { background-position: -1080px -1440px }
.weather__icon--drifting-snow::before { background-position: -1440px -1440px }
.weather__icon--graupel::before { background-position: -1800px -1440px }
.weather__icon--fog-patches::before { background-position: -2160px -1440px }
.weather__icon--low-clouds-sun::before { background-position: -2520px -1440px }
.weather__icon--freezing-fog::before { background-position: -2880px -1440px }
.weather__icon--sun-and-high-clouds::before { background-position: -3240px -1440px }
